juzu.io

## Class BinaryStream

- java.lang.Object
- - juzu.io.BinaryStream

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable, Stream
  Direct Known Subclasses:
    BinaryOutputStream

      public abstract class BinaryStream
      extends Object
      implements Stream

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_SIZE` .

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract BinaryStream` | `append(byte[] data)`
    `abstract BinaryStream` | `append(byte[] data, int off, int len)`
    `Stream` | `append(ByteBuffer buffer)`
    `Stream` | `append(char c)`
    `Stream` | `append(CharBuffer buffer)`
    `Stream` | `append(CharSequence csq)`
    `Stream` | `append(CharSequence csq, int start, int end)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Flushable

      `flush`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### BUFFER_SIZE

          public static final int BUFFER_SIZE

      .
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### append

          public Stream append(CharBuffer buffer)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public abstract BinaryStream append(byte[] data,
                            int off,
                            int len)
                                       throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public abstract BinaryStream append(byte[] data)
                                       throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(ByteBuffer buffer)
                        throws IOException

      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(CharSequence csq)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(CharSequence csq,
                      int start,
                      int end)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

    - #### append

          public Stream append(char c)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Specified by:
        `append` in interface `Stream`
      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.